Subject: Rudd Canaday sends his regards

From: Warren Toomey <[email-masked]>
Date: Mon, 26 May 2008 21:45:06 +1000

Guys, Rudd Canaday asked me to pass on his regards to you.

Cheers,
	Warren Toomey

----- Forwarded message from Rudd Canaday <[email-masked]> -----

 From: Rudd Canaday <[email-masked]>
 Subject: Re: Information on early UNIX development
 Date: Fri, 23 May 2008 16:54:26 -0700
 To: Warren Toomey <[email-masked]>

Neither Jim DeFelice nor Ted Bashkow worked on PWB, so far as I  
remember.

There really was no "BIS team" that I know of. BISP was a large  
project (a full office building) consisting of many separate efforts.  
So far as I know, my department (PWB) was the only one actively  
working on UNIX in BISP, although there might have been efforts of  
which I was unaware.

Of course, once people started using PWB in BISP, there were lots of  
UNIX users there.

Many people in Bell Labs were aware of UNIX, but outside of research  
i don't think many were using it.
My team did introduce UNIX to BISP. It ended up being widely used  
throughout Bell Labs. Before that most people thought of UNIX as a  
research toy.

Later I headed a team (not in BISP) which built the first commercial  
product from Bell Labs using UNIX (a white pages directory printing  
system that was abandoned after being finished).

I have not spoken with Ken, Dennis, Doug (who was my boss when I  
first joined research) or Berk in years. If you talk with them,  
please give them my regards.

Rudd

On May 23, 2008, at 3:41 PM, Warren Toomey wrote:

>Rudd, many thanks for your e-mail reply. I am part of a team which  
>has been
>able to restore 1st Edition UNIX from a paper listing, to the point  
>where the
>system boots and runs multiuser. The original scanned documents  
>that we used
>are available here:
>
>http://www.bitsavers.org/pdf/bellLabs/unix/ 
>PreliminaryUnixImplementationDocument_
>Jun72.pdf
>http://bitsavers.org/pdf/bellLabs/unix/ 
>Kernel_Subroutine_Descriptions_Mar72.pdf
>http://bitsavers.org/pdf/bellLabs/unix/Unix_Users_Talk_Notes_Jan73.pdf
>
>We are trying to determine the provenance of the above documents,  
>such as:
> - who did the original handwritten kernel analysis (Jim DeFelice?)
> - what prompted the analysis in the first place?
> - were both Jim and Ted Bashkow working in the BIS project at the  
>time?
> - did you introduce UNIX to the BIS project, or was it something that
>   people were generally aware of?
>
>If you have any recollections that may shed some light on the above  
>documents,
>or if you have any contacts which might lead to the principals  
>involved,
>we would very much appreciate your help. We have made contact  
>already with
>Joe Maranzano, and through him we have an e-mail address for Berk  
>Tague. We
>are also trying to contact Doug McIlroy, and I have existing  
>contact with
>Dennis Ritchie.
>
>Many thanks for any help that you might be able to provide.
>
>	Warren Toomey
>
>P.S The 1st Edition UNIX restoration project has this website:
>http://code.google.com/p/unix-jun72/  Right now, it's mainly our  
>Subversion
>repository, but the repository contains the tools to build the  
>kernel and
>filesystem images. Then, with a PDP-11/20 simulator, you can do this:
>
>:login: root
>root
># ls -l
>total    6
> 43 sdrwr-  2 root    620 Jan  1 00:00:00 bin
> 42 sdrwr-  2 root    250 Jan  1 00:00:00 dev
>104 sdrwr-  2 root    110 Jan  1 00:00:00 etc
>114 sdrwr-  2 root     50 Jan  1 00:00:00 tmp
> 41 sdrwr-  9 root    100 Jan  1 00:00:00 usr
># ls -l /bin
>total  225
> 45 sxrwr-  1 bin      16 Jan  1 00:00:00 :
> 46 sxrwr-  1 bin    2310 Jan  1 00:00:00 ar
> 47 lxrwr-  1 bin    7582 Jan  1 00:00:00 as
> 48 lxrwr-  1 bin    5922 Jan  1 00:00:00 bas
> 49 sxrwr-  1 ken    2860 Jan  1 00:00:00 cal
> 50 sxrwr-  1 bin     134 Jan  1 00:00:00 cat
> 51 lxrwr-  1 bin    4672 Jan  1 00:00:00 cc
> 44 sxrwr-  1 bin      76 Jan  1 00:00:00 chball
> 52 surwr-  1 sys    1084 Jan  1 00:00:00 check
> 53 sxrwr-  1 bin      82 Jan  1 00:00:00 chmod
> 54 sxrwr-  1 bin     718 Jan  1 00:00:00 chown
> 55 sxrwr-  1 bin     420 Jan  1 00:00:00 cmp
> 56 sxrwr-  1 bin     160 Jan  1 00:00:00 cp
> 57 surwr-  1 root    794 Jan  1 00:00:00 date
> 58 sxrwr-  1 bin    4066 Jan  1 00:00:00 db
> 59 lxrwr-  1 bin    6846 Jan  1 00:00:00 dc
> 60 surwr-  1 sys     192 Jan  1 00:00:00 df
> 61 surwr-  1 sys     872 Jan  1 00:00:00 ds
> 62 sxrwr-  1 bin     244 Jan  1 00:00:00 dsw
> 63 sxrwr-  1 bin     464 Jan  1 00:00:00 du
> 64 sxrwr-  1 bin    1054 Jan  1 00:00:00 echo
> 65 sxrwr-  1 bin    3998 Jan  1 00:00:00 ed
> 66 sxrwr-  1 bin     276 Jan  1 00:00:00 exit
> 67 sxrwr-  1 jack   2730 Jan  1 00:00:00 fc
> 68 sxrwr-  1 bin     330 Jan  1 00:00:00 find
> 69 sxrwr-  1 bin    1912 Jan  1 00:00:00 form
> 70 sxrwr-  1 bin    1154 Jan  1 00:00:00 goto
> 71 sxrwr-  1 bin    1844 Jan  1 00:00:00 if
> 72 sxrwr-  1 bin    2942 Jan  1 00:00:00 ld
> 73 sxrwr-  1 bin     104 Jan  1 00:00:00 ln
> 74 surwr-  1 root   1290 Jan  1 00:00:00 login
> 75 sxrwr-  1 bin    2010 Jan  1 00:00:00 ls
> 76 surwr-  1 root   3940 Jan  1 00:00:00 mail
> 77 sxrwr-  1 root    698 Jan  1 00:00:00 maki
> 78 sxrwr-  1 bin     154 Jan  1 00:00:00 mesg
> 79 surwr-  1 root    232 Jan  1 00:00:00 mkdir
> 80 surwr-  1 root    784 Jan  1 00:00:00 mv
> 81 sxrwr-  1 bin     518 Jan  1 00:00:00 nm
> 82 sxrwr-  1 bin     300 Jan  1 00:00:00 od
> 83 sxrwr-  1 bin    1166 Jan  1 00:00:00 pr
> 84 sxrwr-  1 bin      70 Jan  1 00:00:00 rew
> 85 sxrwr-  1 bin      93 Jan  1 00:00:00 rm
> 86 surwr-  1 root    282 Jan  1 00:00:00 rmdir
> 87 lxrwr-  1 jfo    7154 Jan  1 00:00:00 roff
> 88 lxrwr-  1 sys    5312 Jan  1 00:00:00 sh
> 89 sxrwr-  1 bin    1446 Jan  1 00:00:00 size
> 90 sxrwr-  1 bin     750 Jan  1 00:00:00 skip
> 91 sxrwr-  1 bin     604 Jan  1 00:00:00 sort
> 92 sxrwr-  1 bin    1026 Jan  1 00:00:00 stat
> 93 sxrwr-  1 bin     480 Jan  1 00:00:00 strip
> 94 sxrwr-  1 bin    1048 Jan  1 00:00:00 stty
> 95 surwr-  1 root    746 Jan  1 00:00:00 su
> 96 sxrwr-  1 bin     214 Jan  1 00:00:00 sum
> 97 surwr-  1 root   3678 Jan  1 00:00:00 tap
> 98 surwr-  1 sys     790 Jan  1 00:00:00 tm
> 99 sxrwr-  1 bin      80 Jan  1 00:00:00 tty
>100 sxrwr-  1 bin     238 Jan  1 00:00:00 un
>101 sxrwr-  1 bin     644 Jan  1 00:00:00 wc
>102 sxrwr-  1 bin     560 Jan  1 00:00:00 who
>103 sxrwr-  1 bin     524 Jan  1 00:00:00 write
># check
>RF:
> 118 files
>   7 large
>   7 indirect
> 277 used
> 729 free
>   0 missing
>
>RK:
> 211 files
>  51 large
>  51 indirect
>1403 used
>3383 free
>   0 missing
>

----- End forwarded message -----